Reply to topic

Trouble installing Skrooge from either PPA or source

User avatar Android Number 5
Registered Member
Posts
12
Karma
0
OS
I just want to install Skrooge - the latest stable release (1.4.0, according to the website). I'm running Linux Mint 14 "Nadia" (64bit) with MATE (KDE applications using the KDE platform 4.9.4) on both my desktop and laptop. I installed Nadia and then Skrooge a few weeks ago on my laptop, and it went without a hitch -- but now on my desktop I'm having issues.

As has been the case for a while, the default Mint repositories are a few versions behind. Today, after adding the Skrooge PPA, though, it installs the latest beta (1.5.0), which is very buggy. I don't know why this installs the beta, I'm following the instructions for the stable release:
Code: Select all
sudo add-apt-repository ppa:s-mankowski/ppa
sudo apt-get update
sudo apt-get install skrooge


For me, the beta is kind of unusable, so I purge that, and figure I'll try building the source for 1.4.0.

I get as far as extracting the source, changing directory into source folder, and
Code: Select all
cmake . -DCMAKE_INSTALL_PREFIX=/usr/share/kde4
make

and then, at the end of the make output:

Code: Select all
In file included from /usr/include/akonadi/item.h:28:0,
                 from /usr/include/akonadi/resourcebase.h:30,
                 from /home/niccolo/Downloads/skrooge-1.4.0/skroogeakonadi/skroogeakonadiresource.h:20,
                 from /home/niccolo/Downloads/skrooge-1.4.0/skroogeakonadi/skroogeakonadiresource.cpp:22:
/usr/include/akonadi/itempayloadinternals_p.h:29:32: fatal error: boost/shared_ptr.hpp: No such file or directory
compilation terminated.
make[2]: *** [skroogeakonadi/CMakeFiles/akonadi_skroogeakonadi_resource.dir/skroogeakonadiresource.cpp.o] Error 1
make[1]: *** [skroogeakonadi/CMakeFiles/akonadi_skroogeakonadi_resource.dir/all] Error 2
make: *** [all] Error 2

What's going on?
User avatar smankowski
Moderator
Posts
292
Karma
3
OS
Hi,

I am the main developer of Skrooge and the responsible of ppa:s-mankowski/ppa.
You installed the version 1.5.0 and you said this version is very buggy. >:(

The version 1.5.0 is not a beta, this is the last release with many interesting corrections:
Code: Select all
 *Correction bug 311252: Creating account with existing name just modify the existing one
  *Correction bug 312609: Banks widgets at the dashboard show wrong values
  *Correction bug 312671: Compile warnings
  *Correction bug 312859: Searching for an empty payee doesn't seem to work
  *Correction bug 313140: Thousands of compile warnings when using [-pedantic] [PATCH provided by Andi Clemens]
  *Correction bug 313141: Adjust layout in preferences window [PATCH provided by Andi Clemens]
  *Correction bug 271292: "Set to upper" process does not work with all characters
  *Correction bug 263265: Support regexps on imported data
  *Correction bug 313268: Better layout fot the "comment" field in the operations view
  *Correction bug 313240: Transfers between accounts with different currencies show as income/expense
  *Correction: Disable "Pin this page" when no page is opened
  *Correction: Disable "Print" and "Print preview" when no page is opened
  *Correction: Correction in the show menu of the operation page when only one account with ";" in the name 
  *Correction: Pb of propagation for budget rule with Period=Current Year
  *Correction: Avoid duplicate message in notification
  *Correction: Avoid to set an operation in more than one budget item when "garbage" budgets are used
  *Correction: Display reconciliation field when the "Reconcile" function is called from the page of accounts
  *Correction: Transfers ignored by default in" "Incomes & Expenditures" widget and reports
  *Correction: Adapt the size of the "Account" field to the lenght of the accounts names 
  *Correction: Set focus on "Date:" field after insertion or update of an operation
  *New feature: New "Process Immediately" method to process immedialetly some scheduled operations
  *New feature: Multiselection for "Jump to the operation" in scheduled operation page
  *New feature: New advice to detect non alignment of comments (operation vs suboperation) for simpe operations
  *New feature: New advice to detect operations without mode
  *New feature: New option Automatic refresh/Manual refresh in advice dashboard widget
  *New feature: New advice to switch on "Manual refresh" when advice are very long to compute
  *New feature: New advice to detect too complex unit definition like this: IBM => $ => £ => € (not supported)
  *New feature: Possibility to do graphic reports with the bank as column of line
  *New feature: Automatic import through weboob (http://weboob.org/)
  *Perfo: Better performances in advices by avoiding to compute dismissed advice
  *Perfo: Better performances in categories and payees tables
  *Perfo: Big performances improvement for huge transaction like imports or massive delete of accounts

So, this is my recommended version.

So, what kind of bug do you have?
Could you open them in the KDE bug tracker?


For the compilation error, this is due to a missing prerequisite: libboost-dev.
Here is the list of all prerequisites: debhelper, cmake, pkg-kde-tools, kdelibs5-dev, libofx-dev, libqca2-dev, libsqlite3-dev, libgrantlee-dev, libqtwebkit-dev, pkg-config, shared-mime-info, kdepimlibs5-dev, libkactivities-dev, libboost-dev, xsltproc

Thank you for using Skrooge.


Skrooge, a personal finances manager powered by KDE4
http://skrooge.org
User avatar Android Number 5
Registered Member
Posts
12
Karma
0
OS
Strange, I don't see 1.5.0 announced on the site yet, and the application splash screen still says it's beta.

I'll try to figure out a proper bug report when I get home later today. The bug doesn't make Skrooge crash, and I guess I don't know how the rest of the program handles... but maximizing the window doesn't work. And when I click on the "operations" tab, the window jumps to being twice as wide as the monitor, and I can't change the window size back.
User avatar smankowski
Moderator
Posts
292
Karma
3
OS
This bug is know.
This is due to very long comments on operations.
I will do a patch for this bug.

In the meantime, you can may be reduce the size of your comments.


Skrooge, a personal finances manager powered by KDE4
http://skrooge.org
User avatar smankowski
Moderator
Posts
292
Karma
3
OS
The correction in done in the last 1.5.1 version of my ppa


Skrooge, a personal finances manager powered by KDE4
http://skrooge.org
User avatar gdebure
Global Moderator
Posts
114
Karma
1
OS

Wed Jan 23, 2013 11:07 am
Android Number 5 wrote:Strange, I don't see 1.5.0 announced on the site yet, and the application splash screen still says it's beta.


That's because I'm late in the communication, currently on a business trip. I will do the official announcement this evening (GMT+1).

Guillaume


Skrooge, a personal finances manager powered by KDE4
http://skrooge.org
User avatar Android Number 5
Registered Member
Posts
12
Karma
0
OS
I'm sorry, but even after updating the repos and PPA, it still installs 1.5.0, which still does the thing where the window stretches twice as wide as my monitor.

And when trying to compile 1.4.0, I made sure to install all the dependencies you mentioned, and now I don't see any errors during the make and make install output... but Skrooge won't start anyway.
User avatar smankowski
Moderator
Posts
292
Karma
3
OS
Android Number 5 wrote:I'm sorry, but even after updating the repos and PPA, it still installs 1.5.0, which still does the thing where the window stretches twice as wide as my monitor.

Did you do that?
Code: Select all
sudo apt-get update
sudo apt-get install skrooge

Android Number 5 wrote:And when trying to compile 1.4.0, I made sure to install all the dependencies you mentioned, and now I don't see any errors during the make and make install output... but Skrooge won't start anyway.

I don't understand why? Do you have traces?


Skrooge, a personal finances manager powered by KDE4
http://skrooge.org
User avatar Android Number 5
Registered Member
Posts
12
Karma
0
OS
Yes, I did aptitude update, and it still installs 1.5.0.

What are traces?
User avatar smankowski
Moderator
Posts
292
Karma
3
OS
I don't understand because 1.5.1 is in my ppa.
Could check your source.lst ?


Skrooge, a personal finances manager powered by KDE4
http://skrooge.org
User avatar Android Number 5
Registered Member
Posts
12
Karma
0
OS
Files inside /etc/apt/sources.list.d/
    local-repository.list
    local-repository.list.save
    s-mankowski-ppa-quantal.list
    s-mankowski-ppa-quantal.list.save

...If that's what you mean.
User avatar Android Number 5
Registered Member
Posts
12
Karma
0
OS
I just noticed. When I sudo aptitude update I get a couple errors.

Ign http://packages.linuxmint.com nadia InRelease
Ign http://security.ubuntu.com quantal-security InRelease
Get: 1 http://packages.linuxmint.com nadia Release.gpg [197 B]
Err http://archive.getdeb.net quantal-getdeb InRelease
Err http://archive.getdeb.net quantal-getdeb Release.gpg
Unable to connect to archive.getdeb.net:http:

Get: 2 http://packages.linuxmint.com nadia Release [17.6 kB]
Hit http://security.ubuntu.com quantal-security Release.gpg
Ign http://archive.canonical.com quantal InRelease
Hit http://packages.medibuntu.org quantal InRelease
Ign http://archive.ubuntu.com quantal InRelease
Hit http://security.ubuntu.com quantal-security Release
Ign http://ppa.launchpad.net quantal InRelease
Hit http://archive.canonical.com quantal Release.gpg
Ign http://archive.ubuntu.com quantal-updates InRelease
Get: 3 http://packages.linuxmint.com nadia/main amd64 Packages [22.6 kB]
Hit http://ppa.launchpad.net quantal Release.gpg
Hit http://security.ubuntu.com quantal-security/main amd64 Packages
Hit http://archive.canonical.com quantal Release
Hit http://security.ubuntu.com quantal-security/restricted amd64 Packages
Hit http://archive.ubuntu.com quantal Release.gpg
Get: 4 http://packages.linuxmint.com nadia/upstream amd64 Packages [11.3 kB]
Hit http://ppa.launchpad.net quantal Release
Hit http://security.ubuntu.com quantal-security/universe amd64 Packages
Hit http://packages.medibuntu.org quantal/free amd64 Packages
Get: 5 http://archive.ubuntu.com quantal-updates Release.gpg [933 B]
Hit http://security.ubuntu.com quantal-security/multiverse amd64 Packages
Hit http://archive.canonical.com quantal/partner amd64 Packages
Get: 6 http://packages.linuxmint.com nadia/import amd64 Packages [43.2 kB]
Hit http://ppa.launchpad.net quantal/main Sources
Hit http://security.ubuntu.com quantal-security/main i386 Packages
Hit http://archive.ubuntu.com quantal Release
Hit http://security.ubuntu.com quantal-security/restricted i386 Packages
Hit http://ppa.launchpad.net quantal/main amd64 Packages
Hit http://security.ubuntu.com quantal-security/universe i386 Packages
Hit http://packages.medibuntu.org quantal/non-free amd64 Packages
Get: 7 http://archive.ubuntu.com quantal-updates Release [49.6 kB]
Get: 8 http://packages.linuxmint.com nadia/backport amd64 Packages [20 B]
Hit http://archive.canonical.com quantal/partner i386 Packages
Hit http://security.ubuntu.com quantal-security/multiverse i386 Packages
Get: 9 http://packages.linuxmint.com nadia/main i386 Packages [22.6 kB]
Hit http://ppa.launchpad.net quantal/main i386 Packages
Hit http://security.ubuntu.com quantal-security/main Translation-en
Get: 10 http://packages.linuxmint.com nadia/upstream i386 Packages [11.3 kB]
Hit http://packages.medibuntu.org quantal/free i386 Packages
Get: 11 http://packages.linuxmint.com nadia/import i386 Packages [44.0 kB]
Hit http://security.ubuntu.com quantal-security/multiverse Translation-en
Hit http://archive.ubuntu.com quantal/main amd64 Packages
Get: 12 http://packages.linuxmint.com nadia/backport i386 Packages [20 B]
Hit http://archive.ubuntu.com quantal/restricted amd64 Packages
Hit http://packages.medibuntu.org quantal/non-free i386 Packages
Hit http://security.ubuntu.com quantal-security/restricted Translation-en
Hit http://archive.ubuntu.com quantal/universe amd64 Packages
Hit http://security.ubuntu.com quantal-security/universe Translation-en
Hit http://archive.ubuntu.com quantal/multiverse amd64 Packages
Hit http://archive.ubuntu.com quantal/main i386 Packages
Hit http://archive.ubuntu.com quantal/restricted i386 Packages
Hit http://archive.ubuntu.com quantal/universe i386 Packages
Ign http://archive.canonical.com quantal/partner Translation-en_US
Hit http://archive.ubuntu.com quantal/multiverse i386 Packages
Ign http://ppa.launchpad.net quantal/main Translation-en_US
Ign http://archive.canonical.com quantal/partner Translation-en
Ign http://ppa.launchpad.net quantal/main Translation-en
Hit http://archive.ubuntu.com quantal/main Translation-en
Ign http://security.ubuntu.com quantal-security/main Translation-en_US
Ign http://security.ubuntu.com quantal-security/multiverse Translation-en_US
Ign http://security.ubuntu.com quantal-security/restricted Translation-en_US
Hit http://archive.ubuntu.com quantal/multiverse Translation-en
Ign http://security.ubuntu.com quantal-security/universe Translation-en_US
Hit http://archive.ubuntu.com quantal/restricted Translation-en
Hit http://archive.ubuntu.com quantal/universe Translation-en
Get: 13 http://archive.ubuntu.com quantal-updates/main amd64 Packages [177 kB]
Get: 14 http://archive.ubuntu.com quantal-updates/restricted amd64 Packages [1,970 B]
Get: 15 http://archive.ubuntu.com quantal-updates/universe amd64 Packages [151 kB]
Ign http://packages.linuxmint.com nadia/backport Translation-en_US
Ign http://packages.linuxmint.com nadia/backport Translation-en
Ign http://packages.linuxmint.com nadia/import Translation-en_US
Ign http://packages.linuxmint.com nadia/import Translation-en
Ign http://packages.linuxmint.com nadia/main Translation-en_US
Get: 16 http://archive.ubuntu.com quantal-updates/multiverse amd64 Packages [7,957 B]
Ign http://packages.linuxmint.com nadia/main Translation-en
Ign http://packages.linuxmint.com nadia/upstream Translation-en_US
Ign http://packages.linuxmint.com nadia/upstream Translation-en
Get: 17 http://archive.ubuntu.com quantal-updates/main i386 Packages [177 kB]
Get: 18 http://archive.ubuntu.com quantal-updates/restricted i386 Packages [1,979 B]
Get: 19 http://archive.ubuntu.com quantal-updates/universe i386 Packages [151 kB]
Get: 20 http://archive.ubuntu.com quantal-updates/multiverse i386 Packages [8,112 B]
Ign http://packages.medibuntu.org quantal/free Translation-en_US
Get: 21 http://archive.ubuntu.com quantal-updates/main Translation-en [84.8 kB]
Ign http://packages.medibuntu.org quantal/free Translation-en
Ign http://packages.medibuntu.org quantal/non-free Translation-en_US
Ign http://packages.medibuntu.org quantal/non-free Translation-en
Hit http://archive.ubuntu.com quantal-updates/multiverse Translation-en
Hit http://archive.ubuntu.com quantal-updates/restricted Translation-en
Get: 22 http://archive.ubuntu.com quantal-updates/universe Translation-en [82.8 kB]
Ign http://archive.ubuntu.com quantal/main Translation-en_US
Ign http://archive.ubuntu.com quantal/multiverse Translation-en_US
Ign http://archive.ubuntu.com quantal/restricted Translation-en_US
Ign http://archive.ubuntu.com quantal/universe Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/main Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/multiverse Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/restricted Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/universe Translation-en_US
Fetched 1,067 kB in 16s (65.9 kB/s)
W: Failed to fetch http://archive.getdeb.net/ubuntu/dists/ ... /InRelease:
W: Failed to fetch http://archive.getdeb.net/ubuntu/dists/ ... elease.gpg: Unable to connect to archive.getdeb.net:http:
W: Some index files failed to download. They have been ignored, or old ones used instead.


I don't know what those are, though, and they don't mention your PPA, so I don't know if that helps...
User avatar Android Number 5
Registered Member
Posts
12
Karma
0
OS
Well, we never figured out why 1.4.x wouldn't compile, or why 1.5.0 was behaving differently with the same OS and settings on a different machine.

...But finally 1.5.1 decided to install, after updating the repos and installing system updates several times. And Skrooge 1.5.1 seems to work pretty well again. So thanks, it's fixed.

 
Reply to topic

Bookmarks



Who is online

Registered users: alake, Baidu [Spider], Bing [Bot], brand, cylverbak, dgraf, Exabot [Bot], garthecho, glepore70, Google [Bot], google01103, Hans, jensreuterberg, kainz.a, koriun, Kver, La Ninje, mcaceres, MrGlaceon, MSNbot Media, nezumi, pbCyanide, pedrorodriguez, SecretCode, starbuck, Steve T, tparrott, Yahoo [Bot], šumski